Package org.jboss.resteasy.jwt

## Class JsonSerialization

- java.lang.Object
- - org.jboss.resteasy.jwt.JsonSerialization

-     public class JsonSerialization
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonSerialization()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> T` | `fromBytes​(Class<T> type, byte[] bytes)` |
    `static <T> T` | `fromBytes​(Class<T> type, byte[] bytes, ResteasyProviderFactory factory)` |
    `static <T> T` | `fromString​(Class<T> type, String json)` |
    `static <T> T` | `fromString​(Class<T> type, String json, ResteasyProviderFactory factory)` |
    `static byte[]` | `toByteArray​(Object token, boolean indent)` |
    `static byte[]` | `toByteArray​(Object token, ResteasyProviderFactory factory)` |
    `static String` | `toString​(Object token, boolean indent)` |
    `static String` | `toString​(Object token, ResteasyProviderFactory factory)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonSerialization

          public JsonSerialization()

  - ### Method Detail

    - #### toByteArray

          public static byte[] toByteArray​(Object token,
                                           boolean indent)
                                    throws Exception

      Throws:
        `Exception`

    - #### toByteArray

          public static byte[] toByteArray​(Object token,
                                           ResteasyProviderFactory factory)
                                    throws IOException

      Throws:
        `IOException`

    - #### toString

          public static String toString​(Object token,
                                        ResteasyProviderFactory factory)
                                 throws Exception

      Throws:
        `Exception`

    - #### toString

          public static String toString​(Object token,
                                        boolean indent)
                                 throws Exception

      Throws:
        `Exception`

    - #### fromString

          public static <T> T fromString​(Class<T> type,
                                         String json)
                                  throws Exception

      Throws:
        `Exception`

    - #### fromString

          public static <T> T fromString​(Class<T> type,
                                         String json,
                                         ResteasyProviderFactory factory)
                                  throws Exception

      Throws:
        `Exception`

    - #### fromBytes

          public static <T> T fromBytes​(Class<T> type,
                                        byte[] bytes)
                                 throws IOException

      Throws:
        `IOException`

    - #### fromBytes

          public static <T> T fromBytes​(Class<T> type,
                                        byte[] bytes,
                                        ResteasyProviderFactory factory)
                                 throws IOException

      Throws:
        `IOException`